Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 460309 - Errata Search: searching for firefox package results in bad result
Summary: Errata Search: searching for firefox package results in bad result
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 0.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Matthews
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-08-27 14:18 UTC by Justin Sherrill
Modified: 2009-01-22 16:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:29:51 UTC


Attachments (Terms of Use)

Description Justin Sherrill 2008-08-27 14:18:41 UTC
Steps to reproduce:

   1.   Login to RHN
   2. Make sure RHN is populated w/ systems and errata and have the Red Hat Enterprise Linux AS (v. 4 for 32-bit x86) channel synced
   3. Navagate to "Errata" on the main navigation bar
   4. Navagate to "Advanced Search" on the left pane menu
   5. The "Erratum Search" page should appear
   6. Uncheck "Security Advisory"
   7. Enter "firefox" into search box
   8. select "Package name" from "what to search" drop down
   9. Hit search 


Expected Results:
    All resulting errata have a package on the packages tab with the name firefox.


Actualy Results:
    An image magick errata "RHSA-2008:0145" was included.

Comment 1 John Matthews 2009-01-12 19:39:00 UTC
Not seeing this with latest git "master" which will become spacewalk 0.4. 

This problem might have been fixed when we tweaked some threshold settings.

Comment 2 Jesus M. Rodriguez 2009-01-15 04:08:01 UTC
I got 4 results all with firefox. Properly searched clone errata as well.

Type  	Advisory  	Package Name  	Issue Date
[Bug Fix Advisory] 	RHBA-2008:0147 	firefox
firefox-devel
	2/15/08
[Product Enhancement Advisory] 	RHEA-2008:0479 	firefox
	1/18/08
[Bug Fix Advisory] 	CLBA-2008:0147 	firefox
firefox-devel
	2/15/08
[Product Enhancement Advisory] 	CLEA-2008:0479 	firefox
	1/18/08


Note You need to log in before you can comment on or make changes to this bug.